petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatRetrieveValues

Retrieves the copy of the matrix values; this allows, for example, reuse of the linear part of a Jacobian, while recomputing the nonlinear portion.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatRetrieveValues(Mat mat)

Collect on Mat Many br

### Input Parameters

mat -the matrix (currently on AIJ matrices support this option) Many br

Many br

### See Also

MatStoreValues()

Level:advanced
Location:src/mat/impls/aij/seq/aij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages